#!/bin/sh
# AOC_SESSION_COOKIE="samplecookie" ./fetchinput.sh 13

# defaults to current day unless specified day is passed in
DAY=$(printf "%01d" `date +%d`)
! [ "$1" = "" ] && printf "%d" $1 >/dev/null 2>&1 && DAY=$1

[ "$AOC_SESSION_COOKIE" = "" ] && echo "\$AOC_SESSION_COOKIE not set" && exit 1
curl -s https://adventofcode.com/2022/day/$DAY/input --cookie "session=$AOC_SESSION_COOKIE" -o day`printf "%02d" $DAY`/input
